%define name pppload
%define version 1.0
%define release 4

Summary:  Qt based PPP load monitoring tool
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Sean Vyain <svyain@mail.tds.net>
Packager: ObiTuarY <Obituary@cybernet.be>
Distribution: ObiTuarY's RPM packages
Source: %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Copyright: GPL
Group: X11/Utilities
Requires: qt >= 0.99

%description
pppload displays a PPP link's troughput in an xload-style graph.

%changelog

* Tue Jan 13 1998 ObiTuarY <Obituary@cybernet.be>

- The man page is installed in /usr/X11R6/man/man1

* Sun Dec 14 1997 ObiTuarY <Obituary@cybernet.be>

- The man page is now gzipped
 
%prep

%setup -n %{name}-%{version}

%build
make depend
make all

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
gzip /usr/src/redhat/BUILD/%{name}-%{version}/pppload.1
install -m755 /usr/src/redhat/BUILD/%{name}-%{version}/pppload $RPM_BUILD_ROOT/usr/X11R6/bin
install -m644 /usr/src/redhat/BUILD/%{name}-%{version}/pppload.1.gz $RPM_BUILD_ROOT/usr/X11R6/man/man1/pppload.1x.gz

%clean
rm -r $RPM_BUILD_ROOT/
rm -r /usr/src/redhat/BUILD/%{name}-%{version}/

%files 
%doc LICENSE *.html
/usr/X11R6/bin/pppload
/usr/X11R6/man/man1/pppload.1x.gz